org.codehaus.plexus.util.dag

## Class CycleDetector

- java.lang.Object
- - org.codehaus.plexus.util.dag.CycleDetector

-     public class CycleDetector
      extends java.lang.Object

  Version:
    $Id: CycleDetector.java 8010 2009-01-07 12:59:50Z vsiveton $
  Author:
    Michal Maczka

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CycleDetector()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List` | `hasCycle(DAG graph)`
    `static java.util.List` | `introducesCycle(Vertex vertex)`
    `static java.util.List` | `introducesCycle(Vertex vertex, java.util.Map vertexStateMap)` This method will be called when an egde leading to given vertex was added and we want to check if introduction of this edge has not resulted in apparition of cycle in the graph

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CycleDetector

          public CycleDetector()

  - ### Method Detail

    - #### hasCycle

          public static java.util.List hasCycle(DAG graph)

    - #### introducesCycle

          public static java.util.List introducesCycle(Vertex vertex,
                                                       java.util.Map vertexStateMap)

      This method will be called when an egde leading to given vertex was added and we want to check if introduction of this edge has not resulted in apparition of cycle in the graph
      Parameters:
        `vertex` -
        `vertexStateMap` -
      Returns:

    - #### introducesCycle

          public static java.util.List introducesCycle(Vertex vertex)